Summary: A utility for determining file types.
Name: file
Version: 3.28
Release: 1.0.1
Copyright: distributable
Group: Applications/File
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	--infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man4
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/share
make prefix=${RPM_BUILD_ROOT}%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} install

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/file
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/file
%{_prefix}/share/magic
%doc %{_mandir}/man1/file.*
%doc %{_mandir}/man4/magic.*

%changelog
* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes

* Mon Jul 10 2000 Dave Wreski <dave@guardiandigital.com>
- first version
